package com.qmth.qrzk.repository.exp;


public class QuestionType {
	private String guid;
	private String code;					//题型编码
	private String name;					//题型名称
	private Integer correctOptionsNum;			//正确选项数量
	private Double defaultScore;			//默认分值
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Integer getCorrectOptionsNum() {
		return correctOptionsNum;
	}
	public void setCorrectOptionsNum(Integer correctOptionsNum) {
		this.correctOptionsNum = correctOptionsNum;
	}
	public Double getDefaultScore() {
		return defaultScore;
	}
	public void setDefaultScore(Double defaultScore) {
		this.defaultScore = defaultScore;
	}
	public QuestionType() {
		//do nothing
	}
	public QuestionType(String guid, String code, String name,
			Integer correctOptionsNum, Double defaultScore) {
		this.guid = guid;
		this.code = code;
		this.name = name;
		this.correctOptionsNum = correctOptionsNum;
		this.defaultScore = defaultScore;
	}
}
